import React from 'react';
import $ from 'jquery/src/ajax';
import {
	Modal,
	message,
	Spin,
	Upload,
	Button,
	Form,
} from 'antd';
import '../policy/policy.less';
import {getProStatus,splitUrl,getProductType,getSpecialType} from '@/tools';
const NewDetail = Form.create()(React.createClass({
    getInitialState() {
        return {
            visible: false,
            loading: false,
            auditStatus: 0,
            textFileList: [],
            videoFileList: [],
            pictureUrl: [],
        };
    },
    loadData(id) {
        this.setState({
            loading: true
        });
        $.ajax({
            method: "get",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context +  '/api/admin/community/getCommunintyById' ,
            data: {
                id: id
            },
            success: function (data) {
                let thisData = data.data;
                if (!thisData) {
                    if (data.error && data.error.length) {
                        message.warning(data.error[0].message);
                    };
                    thisData = {};
                };
                document.querySelector('.txt').innerHTML='';
                    let eleDiv = document.createElement('div');
                    eleDiv.innerHTML=thisData.content;
                    document.querySelector('.txt').append(eleDiv);
                this.setState({
                    id:thisData.id,
                    data: thisData,
                    eleDiv:eleDiv,
                    edit:{content:thisData.content},
                    auditStatus:thisData.auditStatus,
                    pictureUrl: thisData.picUrl ? splitUrl(thisData.picUrl, ',', globalConfig.avatarHost + '/upload') : []
                });
            }.bind(this),
        }).always(function () {
            this.setState({
                loading: false
            });
        }.bind(this));
    },
   
	cancelFun(){
		this.props.closeDesc();
    },
    //刷新发布
    updateFun(inex){
        this.setState({
            loading:true
        })
        $.ajax({
            method: "POST",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context +'/api/admin/news/updateStatus',
            data: {
                id: this.state.id,
                auditStatus:this.state.auditStatus,
                refresh:1
            }
        }).done(function (data) {
            if (!data.error.length) {
                message.success('刷新成功！');
                this.setState({
                    loading: false,
                });
            } else {
                message.warning(data.error[0].message);
            };
            this.props.handOk();
           
        }.bind(this));
    },
    //撤销发布
    revokeFun(){
        this.setState({
            loading:true
        })
        $.ajax({
            method: "POST",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context +  '/api/admin/community/updateCommunity',
            data: {
                id: this.state.id,
                status:3,
            }
        }).done(function (data) {
            if (!data.error.length) {
                message.success('撤销成功！');
                this.setState({
                    loading: false,
                });
            } else {
                message.warning(data.error[0].message);
            };
            this.props.handOk();
        }.bind(this));
    },
    componentWillMount() {
        if (this.props.data.id) {
            this.loadData(this.props.data.id);
           
        } else {
            this.state.data = {};
        };
    },
    componentWillReceiveProps(nextProps) {
        if (!this.props.visible && nextProps.visible) {
            this.state.textFileList = [];
            this.state.videoFileList = [];
            if (nextProps.data.id) {
                this.loadData(nextProps.data.id);
            } else {
				this.state.data = {};
                this.state.pictureUrl = [];
            };
            this.props.form.resetFields();
        };
    },
    render() {
        const theData = this.state.data || {};
        const FormItem = Form.Item
        const formItemLayout = {
            labelCol: { span: 6 },
            wrapperCol: { span: 12 },
        };
        return (
			<div className='login'>
			<Form layout="horizontal" id="demand-form">
				<Spin spinning={this.state.loading}>
					<div className="clearfix">
                        <FormItem className="half-item" {...formItemLayout} label="标题">
							<span>{theData.title}</span>
						</FormItem>
                        <FormItem className="half-item" {...formItemLayout} label="产品类型">
							<span>{getProductType(theData.category)}</span>
						</FormItem>
					</div>
                    <div>
                    	<FormItem labelCol={{ span: 3 }} wrapperCol={{ span: 18 }} label="关键字">
							<span>{theData.keyword}</span>
						</FormItem>
                    </div>
                    <FormItem labelCol={{ span: 3 }} wrapperCol={{ span: 18 }} label="新闻图片">
                        <div className="clearfix">
                                <Upload className="demandDetailShow-upload"
                                    listType="picture-card"
                                    fileList={this.state.pictureUrl}                               
                                    onPreview={(file) => {
                                        this.setState({
                                            previewImage: file.url || file.thumbUrl,
                                            previewVisible: true,
                                        });
                                    }} >
                                </Upload>
                                <Modal maskClosable={false} footer={null}
                                    visible={this.state.previewVisible}
                                    onCancel={() => { this.setState({ previewVisible: false }) }}>
                                    <img alt="" style={{ width: '100%' }} src={this.state.previewImage || ''} />
                                </Modal>
                            </div> 
					</FormItem>
                    <div className="clearfix">
						<FormItem className="half-item" {...formItemLayout} label="发布状态">
							<span>{getProStatus(theData.status)}</span>
						</FormItem>
                        <FormItem className="half-item" {...formItemLayout} label="发布时间">
                            <span>{theData.releaseTime?(new Date(theData.releaseTime)).toLocaleString():''}</span>
                        </FormItem>
                        <FormItem className="half-item" {...formItemLayout} label="是否热门">
							<span>{theData.top=='1'?'是':'否'}</span>
						</FormItem>
                        <FormItem className="half-item" {...formItemLayout} label="是否推荐">
                            <span>{theData.recommend=='1'?'是':'否'}</span>
                        </FormItem>
                        <FormItem className="half-item" {...formItemLayout} label="阅读量">
							<span>{theData.readNumber||0}</span>
						</FormItem>
                        <FormItem className="half-item" {...formItemLayout} label="评论量">
                            <span>{theData.commentNumber||0}</span>
                        </FormItem>
                        <FormItem className="half-item" {...formItemLayout} label="点赞量">
                            <span>{theData.starNumber||0}</span>
                        </FormItem>
					</div>
                    <div className="clearfix breakWord">
						<FormItem labelCol={{ span: 3 }} wrapperCol={{ span: 18 }} label="新闻简介">
							<span>{theData.summary}</span>
						</FormItem>
                        <FormItem labelCol={{ span: 3 }} wrapperCol={{ span: 18 }} label="新闻正文">
							<div className="txt"></div>
						</FormItem>
					</div>
					<div className="clearfix">
						{this.props.data.status=='1'&&<FormItem wrapperCol={{ span: 12, offset: 3 }}>
							<Button type="danger" style={{marginRight:20}} onClick={(e)=>{this.revokeFun()}}>
								撤销发布
							</Button>
							<Button className="set-submit" type="ghost" onClick={this.cancelFun}>
								取消
							</Button>
						</FormItem>}
					</div>
				</Spin>
			</Form>    
		</div>
        )
    }
}));
export default NewDetail;




